Subject: [p2p-sip] dhts

From: afisk at speedymail.org (Adam Fisk)
Date: Mon Oct 31 15:24:43 2005

I just wanted to pipe in on the DHT question to caution against the 
Chord bandwagon.  Sure, Chord is nice to reference because most people 
have heard of it.  That's really just because Chord was the first 
prominent DHT algorithm, though, and that's still it's primary 
distinguishing characteristic.  Other algorithms such as Kademlia are 
significantly more robust and have less rigid routing schemes, though. 

We should be clear that Chord should only be referenced *because people 
know it* and should not seriously be considered for real world 
implementations.  I'd actually prefer it if people stopped referencing 
Chord in the various drafts simply because it contributed to the 
misconception that it's a good option.

Thanks.

-Adam